---
title: "Finish interview"
url: "https://developer.incode.com/api-reference/finish/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "PUT /omni/finish"
---
# Finish interview

`PUT /omni/finish`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Finish the interview and remove customer from the queue.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `interviewId` | string |  | Interview id. |
| `status` | string |  | Status of finished interview Enum: `NO_CONFERENCE`, `APPROVED`, `REJECTED`, `ABANDONED`, `NEEDS_REVIEW`, `REJECTED_BY_RISK`, `COMPLETED` |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `urls` | array[string] |  |  |
| `uuid` | string |  | ID of newly created customer (if onboarding was approved). |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X PUT https://demo-api.incodesmile.com/omni/finish \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "interviewId": "",
    "status": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/finish", {
  method: "PUT",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "interviewId": "",
      "status": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.put("https://demo-api.incodesmile.com/omni/finish", headers=headers, json={
  "interviewId": "",
  "status": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/finish"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("PUT", HttpRequest.BodyPublishers.ofString("{\n  \"interviewId\": \"\",\n  \"status\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
